LPINPUTCONTEXT2 Struct Reference

`#include <SDL_windowsvideo.h>`

## Data Fields

HWND | hWnd
BOOL | fOpen
POINT | ptStatusWndPos
POINT | ptSoftKbdPos
DWORD | fdwConversion
DWORD | fdwSentence
union {
LOGFONTA A
LOGFONTW W
} | lfFont
COMPOSITIONFORM | cfCompForm
CANDIDATEFORM | cfCandForm [4]
HIMCC | hCompStr
HIMCC | hCandInfo
HIMCC | hGuideLine
HIMCC | hPrivate
DWORD | dwNumMsgBuf
HIMCC | hMsgBuf
DWORD | fdwInit
DWORD | dwReserve [3]

## Detailed Description

Definition at line 101 of file SDL_windowsvideo.h.

## Field Documentation

LOGFONTA LPINPUTCONTEXT2::A

Definition at line 109 of file SDL_windowsvideo.h.

CANDIDATEFORM LPINPUTCONTEXT2::cfCandForm[4]

Definition at line 113 of file SDL_windowsvideo.h.

COMPOSITIONFORM LPINPUTCONTEXT2::cfCompForm

Definition at line 112 of file SDL_windowsvideo.h.

DWORD LPINPUTCONTEXT2::dwNumMsgBuf

Definition at line 118 of file SDL_windowsvideo.h.

DWORD LPINPUTCONTEXT2::dwReserve[3]

Definition at line 121 of file SDL_windowsvideo.h.

DWORD LPINPUTCONTEXT2::fdwConversion

Definition at line 106 of file SDL_windowsvideo.h.

DWORD LPINPUTCONTEXT2::fdwInit

Definition at line 120 of file SDL_windowsvideo.h.

DWORD LPINPUTCONTEXT2::fdwSentence

Definition at line 107 of file SDL_windowsvideo.h.

BOOL LPINPUTCONTEXT2::fOpen

Definition at line 103 of file SDL_windowsvideo.h.

HIMCC LPINPUTCONTEXT2::hCandInfo

Definition at line 115 of file SDL_windowsvideo.h.

HIMCC LPINPUTCONTEXT2::hCompStr

Definition at line 114 of file SDL_windowsvideo.h.

HIMCC LPINPUTCONTEXT2::hGuideLine

Definition at line 116 of file SDL_windowsvideo.h.

HIMCC LPINPUTCONTEXT2::hMsgBuf

Definition at line 119 of file SDL_windowsvideo.h.

HIMCC LPINPUTCONTEXT2::hPrivate

Definition at line 117 of file SDL_windowsvideo.h.

HWND LPINPUTCONTEXT2::hWnd

Definition at line 102 of file SDL_windowsvideo.h.

union { ... } LPINPUTCONTEXT2::lfFont

POINT LPINPUTCONTEXT2::ptSoftKbdPos

Definition at line 105 of file SDL_windowsvideo.h.

POINT LPINPUTCONTEXT2::ptStatusWndPos

Definition at line 104 of file SDL_windowsvideo.h.

LOGFONTW LPINPUTCONTEXT2::W

Definition at line 110 of file SDL_windowsvideo.h.

The documentation for this struct was generated from the following file:

- src/video/windows/SDL_windowsvideo.h